import 'package:like_sealed/like_sealed.dart';

@likeSealed
abstract class State {}

class InitState extends State {
  InitState();
}

class DataState extends State {
  final String message;

  DataState(this.message);
}

class ProgressState extends State {
  final Future color;

  ProgressState(this.color);
}
